### File

`packages/ecl/components/ecl-radio/ecl-radio-label.component.ts`

### Description

Component representing a label for an ECL radio button.

Used inside an element with the [eclRadio] directive to provide a styled label that can reflect the radio's state.

### Extends

`ECLBaseDirective`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `[eclRadioLabel]`
templateUrl | `./ecl-radio-label.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isDisabled isInvalid class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`
Adds styling for a disabled state.

isInvalid
Type : `boolean`
Default value : `false`
Adds styling for an invalid state.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the CSS classes applied to the host element. Includes the base `ecl-radio__label` class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Returns the CSS classes applied to the host element. Includes the base `ecl-radio__label` class. Returns : `string`

# results matching ""

# No results matching ""